GET /w/api.php
Summary: Wikipedia Action API
Operation ID: actionApi
Auth: unknown
Operation ID: actionApi
Auth: unknown
Description
Primary API for querying Wikipedia content. Supports multiple actions including query, parse, opensearch, and more.
Parameters (2)
action
(string, query, required)
API action to perform: query (get page data), parse (get parsed content), opensearch (search suggestions)
Constraints: {'enum': ['query', 'parse', 'opensearch']}
format
(string, query, optional, default: json)
Response format
Constraints: {'enum': ['json', 'xml', 'php', 'txt']}
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Query page content for 'Python' | curl |
https://en.wikipedia.org/w/api.php?action=query&titles=Python&prop=extracts&exintro&explaintext&format=json |
|
| Parse page content for 'Artificial intelligence' | curl |
https://en.wikipedia.org/w/api.php?action=parse&page=Artificial_intelligence&prop=text&format=json |
|
| OpenSearch suggestions for 'machine learning' | curl |
https://en.wikipedia.org/w/api.php?action=opensearch&search=machine%20learning&limit=5&format=json |
|
| Parse Pet door article | doc_extracted |
https://en.wikipedia.org/w/api.php?action=parse&page=Pet_door&format=json |
|
| Query extracts for Ostrava page | doc_extracted |
http://en.wikipedia.org/w/api.php?action=query&prop=extracts&titles=Ostrava&explaintext=1&exsectionformat=wiki |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:50:49.794381 | 200 | 392ms | |
| 2026-03-23 10:41:44.550203 | 200 | 370ms | 1.1MB |
| 2026-03-23 10:20:03.276730 | 200 | 309ms | |
| 2026-03-23 09:50:19.808679 | 200 | 206ms | |
| 2026-03-23 09:24:31.711812 | 200 | 318ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:50:19.808679 | 7d04a85d404e |
0d1eaf55edf7 |
| 2026-03-23 10:20:03.276730 | 0d1eaf55edf7 |
625d3ae5c10b |
| 2026-03-23 10:41:44.550203 | 625d3ae5c10b |
23f9a2f458e6 |
| 2026-03-23 10:50:49.794381 | 23f9a2f458e6 |
b7e7b4658689 |